	include "doorsos.h"
	include "graphlib.h"
	include "userlib.h"
	xdef    _ti89
	xdef	 _ti92plus
	xdef    _comment
	xdef    _main
_main:
	jsr	graphlib::gray7		;switches to 7 grayscale mode
	move.w	#1,graphlib::choosescreen	;set all graphlib functions to grayscale

	move.l	graphlib::plane0,a1	;address of the 1st bitplane (plane0)
	jsr	graphlib::clr_scr	;clears the first bitplane (main screen)
	move.l	graphlib::plane1,a1	;address of the 2nd bitplane (plane1)
	jsr	graphlib::clr_scr	;clears the second bitplane
	move.l	graphlib::plane2,a1	;address of the 3rd bitplane (plane2)
	jsr	graphlib::clr_scr	;clears the third bitplane

	move.l	graphlib::plane0,a0	;address of the 1st bitplane
	lea	1260(a0),a0		;42nd line ((14 * 3)lines * 30 bytes = 1260)
	move.w	#419,d0			;\
\loop1	move.l	#$FFFFFFFF,(a0)+	; >7.5 longwords per line * (14 * 4)lines = 420
	dbra	d0,\loop1		;/  (419 because we include 0)

	move.l	graphlib::plane1,a0	;address of the 2nd bitplane
	lea	420(a0),a0		;14th line ((14 * 1)lines * 30 bytes = 420)
	move.w	#104,d0			;\
\loop2	move.l	#$FFFFFFFF,(a0)+	; >7.5 longwords per line * (14 * 1)lines = 105
	dbra	d0,\loop2		;/  (104 because we include 0)

	move.l	graphlib::plane1,a0	;address of the 2nd bitplane
	lea	1680(a0),a0		;56th line ((14 * 4)lines * 30 bytes = 1680)
	move.w	#104,d0			;\
\loop3	move.l	#$FFFFFFFF,(a0)+	; >7.5 longwords per line * (14 * 1)lines = 105
	dbra	d0,\loop3		;/  (104 because we include 0)

	move.l	graphlib::plane1,a0	;address of the 2nd bitplane
	lea	2520(a0),a0		;84th line ((14 * 6)lines * 30 bytes = 2520)
	move.w	#104,d0			;\
\loop4	move.l	#$FFFFFFFF,(a0)+	; >7.5 longwords per line * (14 * 1)lines = 105
	dbra	d0,\loop4		;/  (104 because we include 0)

	move.l	graphlib::plane2,a0	;address of the 2nd bitplane
	lea	840(a0),a0		;28th line ((14 * 2)lines * 30 bytes = 840)
	move.w	#104,d0			;\
\loop5	move.l	#$FFFFFFFF,(a0)+	; >7.5 longwords per line * (14 * 1)lines = 105
	dbra	d0,\loop5		;/  (104 because we include 0)

	move.l	graphlib::plane2,a0	;address of the 2nd bitplane
	lea	2100(a0),a0		;70th line ((14 * 5)lines * 30 bytes = 2100)
	move.w	#209,d0			;\
\loop6	move.l	#$FFFFFFFF,(a0)+	; >7.5 longwords per line * (14 * 2)lines = 210
	dbra	d0,\loop6		;/  (209 because we include 0)

		; 0 1 2 <--planes

		; 0 0 0 <--white			14 pixel lines per text line
		; 0 1 0 <--light light grey
		; 0 0 1 <--light grey
		; 1 0 0 <--light dark grey (0 1 1 <--dark light grey [same])
		; 1 1 0 <--dark grey
		; 1 0 1 <--dark dark grey
		; 1 1 1 <--black

	clr.w	graphlib::choosescreen	;set all graphlib functions to Black and White mode
	jsr	userlib::idle_loop	;waits for a key
	jsr	graphlib::gray2		;restores Black and White mode
	rts


_comment   dc.b    "Gray7 test",0
        end